use `ombutel`;

update `ombu_settings` as `settings`
left join `ombu_modules` as `modules` on (
	`modules`.`module_id` = `settings`.`module_id`)
set `value` = 'Voicemail number ${VM_MSGNUM} for mailbox ${VM_MAILBOX} from ${VM_CALLERID} received at ${VM_DATE}'
where `modules`.`name` = 'voicemail_general' and
	`settings`.`name` = 'emailsubject';

update `ombu_settings` as `settings`
left join `ombu_modules` as `modules` on (
	`modules`.`module_id` = `settings`.`module_id`)
set `value` = 'You have received a ${VM_DUR} long voicemail message from ${VM_CALLERID} at ${VM_DATE}.\nA recording of this message is attached to this email, you can also listen to it by dialing *97 from your own extension, or by dialing *98 from any other extension.'
where `modules`.`name` = 'voicemail_general' and
	`settings`.`name` = 'emailbody';
