use `ombutel`;

-- Fanvil x6 and x5s use V2 conf file

-- Update x6 and x5s

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/','--Port Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	(`settings`.`name` like 'p1%' or `settings`.`name` in (
		'Default Ext line', 'Default Ans mode', 'Default Dial mode'));

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Basic DialPlan--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and
	`settings`.`name` in ('Dial by Pound', 'BTransfer by Pound', 'Onhook to BXfer', 'Onhook to AXfer', 'Conf Onhook to Xfer', 'Dial Fixed Length', 'Fixed Length Nums', 'Dial by Timeout', 'Dial Timeout value', 'Enable E OneSixFour');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Alert Info Ring--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	 `settings`.`name` regexp '^alert[0-9]';

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Display Input--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and
	`settings`.`name` in ('LCD Title', 'LCD Constrast', 'Enable Energysaving', 'LCD Luminance Level', 'Backlight Off Time', 'Disable CHN IME', 'Phone Model', 'Host Name', 'Default Language', 'Enable Greetings');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Power LED--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and
	`settings`.`name` in ('Power', 'MWI Or SMS', 'In Using', 'Ring', 'Hold', 'Mute', 'Missed Call');

update  `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Voice Volume--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and
(`settings`.`name` like 'Handset%' or `settings`.`name` like 'Headset%' or `settings`.`name` like 'HandFree%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--DateTime Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and
	(`settings`.`name` like 'DST%' or `settings`.`name` in ('Enable SNTP', 'SNTP Server', 'Second SNTP Server', 'Time Zone', 'Time Zone Name', 'SNTP Timeout'));

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--DateTime Display--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and (
		`settings`.`name` in ('Enable TimeDisplay', 'Time Display Style', 'Date Display Style', 'Date Separator'));

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--ScreenSaver Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and (
		`settings`.`name` in ('Screen Saver Type', 'Screen Timeout', 'Enable ActivePeriod', 'Period One Start', 'Period One End Time', 'Period Two Start', 'Period Two End Time', 'Screen Saver App', 'Sleep After Active', 'Sleep Timeout'));

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Softkey Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and (
		`settings`.`name` like '%softkey' or `settings`.`name` like '%click' or `settings`.`name` in ('Desktop Long Press', 'Softkey Mode'));

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '-- Agent Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and (
		`settings`.`name` like 'agent%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--BW Directory--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s','x6') and (
		`settings`.`name` like 'BWDir%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--BW Calllogs--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x5s','x6') and (
	`settings`.`name` like 'BWCLog%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--LDAP Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` regexp '^LDAP[1-9]');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Xml PhoneBook--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` like 'XML-PBook%' or `settings`.`name` = 'Phonebook Groups');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--CTI AT Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x5s','x6') and (
	`settings`.`name` like 'at %');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Mcast Addr--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` regexp '^MCAST[1-9]');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--MMI Account--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` like 'account%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Line Conf List--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x5s','x6') and (
	`settings`.`name` like 'hs%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--SSL Mode--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x5s','x6') and (
	`settings`.`name` in ('Permission CTF', 'Common Name', 'CTF mode'));

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--PHONE CONFIG--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x5s','x6') and (
	`settings`.`name` = 'Audio Codec Sets');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--SIP Line List--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` regexp '^SIP[1-9]');

-- dss 1
select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x6') and (
	`settings`.`name` = '--Dsskey config1--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x6') and (
	`settings`.`name` like 'fkey%' and
	`settings`.`parent_id` = @parent_id);

-- 2
select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x6') and (
		`settings`.`name` = '--Dsskey config2--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x6') and (
		`settings`.`name` like 'fkey%' and
		`settings`.`parent_id` = @parent_id);
-- 3

select
	`settings`.`setting_id`, `settings`.`name` into @parent_id,
	@parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x6') and (
			`settings`.`name` = '--Dsskey config3--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x6') and (
			`settings`.`name` like 'fkey%' and
			`settings`.`parent_id` = @parent_id);
-- 4

select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x6') and (
			`settings`.`name` = '--Dsskey config4--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
		where `brands`.`name` = 'fanvil' and
			`models`.`name` in ('x6') and (
				`settings`.`name` like 'fkey%' and
				`settings`.`parent_id` = @parent_id);
-- 5

select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x6') and (
			`settings`.`name` = '--Dsskey config5--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x6') and (
	`settings`.`name` like 'fkey%' and
	`settings`.`parent_id` = @parent_id);

-- update parent
select
	`settings`.`setting_id` into @parent_id from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x6') and (
		`settings`.`name` = 'DSSKEY CONFIG MODULE');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set parent_id = @parent_id
	where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x6') and (
		`settings`.`name` like '%fkey%');

-- dss 1
select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s') and (
		`settings`.`name` = '--Dsskey config1--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
		where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` like 'fkey%' and
			`settings`.`parent_id` = @parent_id);

-- 2
select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
		where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` = '--Dsskey config2--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
	where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s') and (
		`settings`.`name` like 'fkey%' and
		`settings`.`parent_id` = @parent_id);
-- 3

select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` = '--Dsskey config3--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` like 'fkey%' and
			`settings`.`parent_id` = @parent_id);
-- 4

select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` = '--Dsskey config4--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
	where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s') and (
		`settings`.`name` like 'fkey%' and
		`settings`.`parent_id` = @parent_id);
-- 5

select
	`settings`.`setting_id`, `settings`.`name` into @parent_id, @parent_name
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` = '--Dsskey config5--');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set `settings`.`name` = concat_ws('/', @parent_name, `settings`.`name`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` like 'fkey%' and
			`settings`.`parent_id` = @parent_id);

-- update parent
select
	`settings`.`setting_id` into @parent_id
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
	`models`.`name` in ('x5s') and (
		`settings`.`name` = 'DSSKEY CONFIG MODULE');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	set parent_id = @parent_id
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x5s') and (
			`settings`.`name` like '%fkey%');

-- clean up
delete settings
from `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
	where `brands`.`name` = 'fanvil' and
		`models`.`name` in ('x3s','x4','x5s','x6') and (
			`settings`.`name` in ('--Port Config--', '--Basic DialPlan--', '--Alert Info Ring--', '--Display Input--', '--Power LED--', '--Voice Volume--', '--DateTime Config--', '--DateTime Display--', '--ScreenSaver Config--', '--Softkey Config--', '-- Agent Config--', '--BW Directory--', '--BW Calllogs--', '--LDAP Config--', '--Xml PhoneBook--', '--CTI AT Config--', '--Mcast Addr--', '--MMI Account--', '--Line Conf List--', '--SSL Mode--', '--PHONE CONFIG--', '--SIP Line List--', '--Dsskey Config1--', '--Dsskey Config2--', '--Dsskey Config3--', '--Dsskey Config4--', '--Dsskey Config5--','--BW Calllogs Conf', '--BW Directory Conf', '--Function Key--'));

-- Update x3, x3s, x4, and x5 specific

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--BW Calllogs Conf', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` like 'BWCLog%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--BW Directory Conf', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
		`settings`.`name` like 'BWDir%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Function Key--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` like 'fkey%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Line Conf List--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and
`models`.`name` in ('x3s','x4') and (
	`settings`.`name` like 'hs%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Codec Config--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` like 'codec%');

update `xepm_settings` as `settings`
	left join `xepm_configuration_types` as `types` on (
		`types`.`configuration_type_id` = `settings`.`configuration_type_id`)
	left join `xepm_models` as `models` on (
		`models`.`model_id` = `types`.`model_id`)
	left join `xepm_brands` as `brands` on (
		`brands`.`brand_id` = `models`.`brand_id`)
set `settings`.`name` = concat_ws('/', '--Extern Console--', `settings`.`name`)
where `brands`.`name` = 'fanvil' and (
	`settings`.`name` like 'exkey%%');
