use ombutel;

-- add direct cfu
insert into `ombu_feature_codes` (
	`feature_code_group_id`,
	`feature_name`,
	`description`,
	`defaultnumber`,
	`func`,
	`prefix`,
	`sufix`,
	`sendlength`,
	`param01`,
	`param02`,
	`state`,
	`edit`,
	`generate`,
	`display`
) values (
	6,
	'direct_toggle_cfu',
	'Direct Call Forward Unavailable',
	'*61',
	'sub-direct-cfi',
	'_',
	'*[+*#0-9]!',
	'yes',
	'call-forward&unavailable',
	'CFU',
	'yes',
	'yes',
	'yes',
	'no'
);

-- add direct cfb
insert into `ombu_feature_codes` (
	`feature_code_group_id`,
	`feature_name`,
	`description`,
	`defaultnumber`,
	`func`,
	`prefix`,
	`sufix`,
	`sendlength`,
	`param01`,
	`param02`,
	`state`,
	`edit`,
	`generate`,
	`display`
) values (
	6,
	'direct_toggle_cfb',
	'Direct Call Forward Busy',
	'*63',
	'sub-direct-cfi',
	'_',
	'*[+*#0-9]!',
	'yes',
	'call-fwd-on-busy',
	'CFB',
	'yes',
	'yes',
	'yes',
	'no'
);

-- add direct cfn
insert into `ombu_feature_codes` (
	`feature_code_group_id`,
	`feature_name`,
	`description`,
	`defaultnumber`,
	`func`,
	`prefix`,
	`sufix`,
	`sendlength`,
	`param01`,
	`param02`,
	`state`,
	`edit`,
	`generate`,
	`display`
) values (
	6,
	'direct_toggle_cfn',
	'Direct Call Forward No Answer',
	'*65',
	'sub-direct-cfi',
	'_',
	'*[+*#0-9]!',
	'yes',
	'call-fwd-no-ans',
	'CFN',
	'yes',
	'yes',
	'yes',
	'no'
);

update `ombu_feature_codes` set `sufix` = '*[+*#0-9]!' where `feature_name` = 'direct_toggle_cfi';

